Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047657
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-09-08 20:322021-10-25 12:54
ReporterlbressanView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR21Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRR21Q1.3SCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date2020-02-20
Regression introduced in releaseRR20Q2
Regression introduced by commithttps://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/3 [^]
Triggers an Emergency PackNo
Summary

0047657: Errors when opening two POS tabs/windows on the same computer

DescriptionProblems when making a cashup when the user opens two tabs / windows with the same POS on the same computer and makes different payments.



Attached video of the client and in livebuilds.
Steps To Reproduce1)Open Openbravo 3.0RR21Q1.3 backend

2) Access Preferences and check the status of the Property "Terminal Authentication enabled". Appears with value "Y".

3)Open a POS and sell normally. We make 2 tickets of € 10 each and we charge in cash

4) Open a second POS , which opens by default in a new browser tab.

5) Check from the new POS that the tickets already sold from the old POS are listed. And check the amount of sales offered by a Partial Closing. That's right, the two € 10 tickets appear and the Partial Closing adds up to € 20.

6) Make new sales at this new POS.
We check again that new tickets are still being recorded from Open Ticket. All the previous tickets appear and also the two new ones of € 5 each, and we also check a Partial Closing that is correct since it gives us a total of € 30.

7) Change focus to "old" POS window/tab. To avoid blocking the window, refresh the browser with F5 or icon.

8)Check the old "the total of tickets made in both from Open Order, and everything OK, the same is OK".

9)Check the "old" POS for a partial cashup. ERROR: the amount of sales in the "old" is different and less than the last calculated in the other window, it seems that it does not take into account the sales made in the open air after this one. He gives us € 20 and not € 30.

TagsNo tags attached.
Attached Filesdiff file icon 47657_20Q3.diff [^] (1,043 bytes) 2021-10-25 12:54 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047755RR21Q3.3 closedranjith_qualiantech_com Errors when opening two POS tabs/windows on the same computer 
depends on backport 0047756RR21Q2.4 closedranjith_qualiantech_com Errors when opening two POS tabs/windows on the same computer 

-  Notes
(0131664)
lbressan (developer)
2021-09-08 20:37

VIDEO LINK OF ERRORS: https://drive.google.com/drive/folders/14oUdz96kANgx3H0FIWJHdPlCC1uDXvCv?usp=sharing [^]
(0131942)
hgbot (developer)
2021-09-21 11:15

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/288 [^]
(0132007)
hgbot (developer)
2021-09-27 07:21

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 44ed6ea3f72ef0322920e1cbedfb2f040525f3a3
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-09-27T10:50:09+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/44ed6ea3f72ef0322920e1cbedfb2f040525f3a3 [^]

Fixed ISSUE-47657: State Persistence should be prevented if application UI is locked
* When POS is opened in another tab, last tab UI will be blocked and State Persistence should be prevented

---
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---
(0132008)
hgbot (developer)
2021-09-27 07:21

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/288 [^]

- Issue History
Date Modified Username Field Change
2021-09-08 20:32 lbressan New Issue
2021-09-08 20:32 lbressan Assigned To => Retail
2021-09-08 20:32 lbressan Regression date => 2021-09-24
2021-09-08 20:32 lbressan Triggers an Emergency Pack => No
2021-09-08 20:37 lbressan Note Added: 0131664
2021-09-14 13:02 marvintm Regression date 2021-09-24 =>
2021-09-14 13:02 marvintm Assigned To Retail => rqueralta
2021-09-20 03:38 rqueralta Status new => scheduled
2021-09-20 07:37 marvintm Assigned To rqueralta => ranjith_qualiantech_com
2021-09-21 11:15 hgbot Note Added: 0131942
2021-09-23 10:14 eugeni Issue Monitored: eugeni
2021-09-27 07:21 hgbot Resolution open => fixed
2021-09-27 07:21 hgbot Status scheduled => closed
2021-09-27 07:21 hgbot Fixed in Version => RR21Q4
2021-09-27 07:21 hgbot Note Added: 0132007
2021-09-27 07:21 hgbot Note Added: 0132008
2021-09-27 07:22 marvintm Status closed => new
2021-09-27 07:22 marvintm Resolution fixed => open
2021-09-27 07:22 marvintm Fixed in Version RR21Q4 =>
2021-09-27 07:26 marvintm Regression level => Production - Confirmed Stable
2021-09-27 07:26 marvintm Regression date => 2020-02-20
2021-09-27 07:26 marvintm Regression introduced in release => RR20Q2
2021-09-27 07:26 marvintm Regression introduced by commit => https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/3 [^]
2021-09-27 07:26 marvintm Status new => scheduled
2021-09-27 07:26 marvintm Status scheduled => resolved
2021-09-27 07:26 marvintm Fixed in Version => RR21Q4
2021-09-27 07:26 marvintm Resolution open => fixed
2021-09-27 07:26 marvintm Review Assigned To => marvintm
2021-09-27 07:26 marvintm Status resolved => closed
2021-10-25 12:54 ranjith_qualiantech_com File Added: 47657_20Q3.diff


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker